Package delirium.plt contributed by untyped [docs]
To load: (require (planet untyped/delirium:1:0/delirium))
Old style:(require (planet "delirium.ss" ("untyped" "delirium.plt" 1 0)))
Min Racket version: 371
Package description:

A tool for testing PLT web application user interfaces using Javascript remote control scripts and SchemeUnit test suites.

Downloads this week: 0
Total downloads: 217
Tickets:0
Open tickets:0
Primary files:
NameContract
(all-from (file "accessor.ss"))
(all-from (file "command.ss"))
(all-from (file "selector.ss"))
schemeunit-test?
javascript-expression?
javascript-statement?
test/text-ui/pause-on-fail
run-delirium
(opt-> (request? schemeunit-test?) (procedure?) response?)
 Current version
PLaneT versionExternal versionSourceDLsDocsReq. PLTDate added
(1 0)
31
3712007-12-07
To load: (require (planet untyped/delirium:1:0/delirium))
Available in repositories: 3xx, 4.x

Initial release.

No Tickets Currently open for this Package [New Ticket]
 Packages in other repositories

These packages are not available in the 3xx repository, but they are available for other versions of Racket.

PLaneT versionExternal versionSourceDLsDocsReq. PLTDate added
(3 2)
58
4.1.32009-10-04
To load: (require (planet "main.ss" ("untyped" "delirium.plt" 3 (= 2))))
Available in repositories: 4.x

Changes:

  • updated to SchemeUnit 3;
  • removed Prototype.js dependency and moved to JQuery 1.3.2;
  • added accessors text-content-ref and text-content-ref*;
  • js-ref is now a macro, allowing you to write (js-ref expr) instead of (js-ref (js expr));
  • miscellaneous documentation fixes.
(3 1)
7
4.2.12009-09-07
To load: (require (planet "main.ss" ("untyped" "delirium.plt" 3 (= 1))))
Available in repositories: 4.x

Changes:

  • updated to PLT 4.2.1.
(3 0)
74
4.1.32009-01-07
To load: (require (planet "main.ss" ("untyped" "delirium.plt" 3 (= 0))))
Available in repositories: 4.x

Changes:

  • updated to PLT 4.1.3;
  • removed Instaweb and Instaservlet compatibility;
  • added serve/delirium top level procedure;
  • added main.ss for shorter require statements.
(2 4)
39
4.02008-08-13
To load: (require (planet "delirium.ss" ("untyped" "delirium.plt" 2 (= 4))))
Available in repositories: 4.x

This release focuses on browser compatibility. Delirium has been tested successfully on Internet Explorer 6 and 7, Firefox 2 and 3 for Windows and OS X, and Safari 3 for OS X. The XPath functions in the API only work natively in Firefox, so jQuery selectors and accessors have been added to provide flexible cross-browser node selection.

Note: this version of Delirium has only been tested with SchemeUnit 2. Support for SchemeUnit 3 is planned for a future release.

(2 3)
5
4.02008-06-25
To load: (require (planet "delirium.ss" ("untyped" "delirium.plt" 2 (= 3))))
Available in repositories: 4.x

Added missing documentation for node-count, node-exists?, check-found and check-not-found.

(2 2)
1
4.02008-06-24
To load: (require (planet "delirium.ss" ("untyped" "delirium.plt" 2 (= 2))))
Available in repositories: 4.x

Fixed a bug in the #:send-url? #t argument to instaweb/delirium.

(2 1)
1
4.02008-06-23
To load: (require (planet "delirium.ss" ("untyped" "delirium.plt" 2 (= 1))))
Available in repositories: 4.x

Updated for PLT 4.x; dramatically expanded and improved the browser API.

(2 0)
1
4.02008-06-23
To load: (require (planet "delirium.ss" ("untyped" "delirium.plt" 2 (= 0))))
Available in repositories: 4.x

Updated for PLT 4.x; dramatically expanded and improved the browser API.